Subject: Re: git-multimail: migration: Config is not iterable

From: Michael Haggerty <[email-masked]>
Date: Sat, 31 May 2014 16:59:45 +0200

On 05/29/2014 04:22 PM, Azat Khuzhin wrote:
> Using the latest version of git-multimail there is an issue with
> migration:
> 
> $ ~azat/git-multimail/git-multimail/migrate-mailhook-config --overwrite
> Traceback (most recent call last):
>   File "/home/azat/git-multimail/git-multimail/migrate-mailhook-config", line 271, in <module>
>     main(sys.argv[1:])
>   File "/home/azat/git-multimail/git-multimail/migrate-mailhook-config", line 268, in main
>     migrate_config(strict=options.strict, retain=options.retain, overwrite=options.overwrite)
>   File "/home/azat/git-multimail/git-multimail/migrate-mailhook-config", line 159, in migrate_config
>     if not _check_old_config_exists(old):
>   File "/home/azat/git-multimail/git-multimail/migrate-mailhook-config", line 66, in _check_old_config_exists
>     if name in old:
> TypeError: argument of type 'Config' is not iterable
> 
> Tested on 2.6 and 2.7 python versions.
> 
> If you revert 09d0d5b92203f019763e43cef1e57f76f117d2b4 ("Get Python files to
> pass pep8's tests.") there issue goes away. I understand that this is not the
> right solution and I'm not the guru of python, so just let you know.

Thanks for the bug report and for narrowing it down to the broken
commit.  I just pushed a fix to GitHub.  Let me know if it works for you
now.

Elijah: your fix is also correct, but I didn't see it before I pushed my
own solution.  Sorry about that.

Junio: you don't have to worry about any of this, because the commit
that caused the breakage is not in your tree yet.

Michael

-- 
Michael Haggerty
[email-masked]